PETSc version 3.15.5
Fix/Edit manual page

# MatMAIJRedimension

Get an MAIJ matrix with the same action, but for a different block size

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMAIJRedimension(Mat A,PetscInt dof,Mat *B)

Logically Collective

### Input Parameter

| A | - the MAIJ matrix
| dof | - the block size for the new matrix

### Output Parameter

| B | - the new MAIJ matrix

### See Also

MatCreateMAIJ()

### Level

advanced

### Location

src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages